Debian Bug report logs - #227586
ncurses-bin: tput should write its name when outputting an error message

version graph

Package: ncurses-bin; Maintainer for ncurses-bin is Craig Small <csmall@debian.org>; Source for ncurses-bin is src:ncurses.

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Wed, 14 Jan 2004 00:33:10 UTC

Severity: wishlist

Found in version 5.3.20030719-4

Fixed in version ncurses/5.3.20030719-5

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#227586; Package ncurses-bin. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ncurses-bin: tput should write its name when outputting an error message
Date: Tue, 13 Jan 2004 23:53:49 +0100
Package: ncurses-bin
Version: 5.3.20030719-4
Severity: wishlist

When TERM isn't defined, tput outputs the following error message:

No value for $TERM and no -T specified

However, when programs are called from a script, it is very difficult
to find where such messages come from. Something like

tput: no value for $TERM and no -T specified

or

/usr/bin/tput: no value for $TERM and no -T specified

would be much better. Ditto for the other error messages of course,
but I haven't checked...

-- System Information:
Debian Release: testing/unstable
Architecture: powerpc
Kernel: Linux ay.vinc17.org 2.4.22-powerpc #1 Mon Jan 5 18:06:42 UTC 2004 ppc
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1

Versions of packages ncurses-bin depends on:
ii  libc6                     2.3.2.ds1-10   GNU C Library: Shared libraries an
ii  libncurses5               5.3.20030719-4 Shared libraries for terminal hand

-- no debconf information



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 227586-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 227586-close@bugs.debian.org
Subject: Bug#227586: fixed in ncurses 5.3.20030719-5
Date: Sat, 17 Jan 2004 01:26:33 +0000
Source: ncurses
Source-Version: 5.3.20030719-5

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.3.20030719-5_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.3.20030719-5_i386.deb
libncurses5-dev_5.3.20030719-5_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.3.20030719-5_i386.deb
libncurses5_5.3.20030719-5_i386.deb
  to pool/main/n/ncurses/libncurses5_5.3.20030719-5_i386.deb
libncursesw5-dbg_5.3.20030719-5_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.3.20030719-5_i386.deb
libncursesw5-dev_5.3.20030719-5_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.3.20030719-5_i386.deb
libncursesw5_5.3.20030719-5_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.3.20030719-5_i386.deb
ncurses-base_5.3.20030719-5_all.deb
  to pool/main/n/ncurses/ncurses-base_5.3.20030719-5_all.deb
ncurses-bin_5.3.20030719-5_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.3.20030719-5_i386.deb
ncurses-term_5.3.20030719-5_all.deb
  to pool/main/n/ncurses/ncurses-term_5.3.20030719-5_all.deb
ncurses_5.3.20030719-5.diff.gz
  to pool/main/n/ncurses/ncurses_5.3.20030719-5.diff.gz
ncurses_5.3.20030719-5.dsc
  to pool/main/n/ncurses/ncurses_5.3.20030719-5.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 227586@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 16 Jan 2004 14:32:08 -0500
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg lib64ncurses5-dev
Architecture: source i386 all
Version: 5.3.20030719-5
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 221174 221651 224172 224443 227402 227586
Changes: 
 ncurses (5.3.20030719-5) unstable; urgency=low
 .
   * Fix false dependency of ncurses-bin on lib64ncurses5 on sparc
     (Closes: #221174).
   * Update config.sub and config.guess (Closes: #221651).
   * Include wsvt25 and wsvt25m for knetbsd (Closes: #224172).
   * Include Eterm terminfo descriptions in ncurses-base (Closes: #227402).
   * Fix tack for standout != bold.  Half of this fix is already
     included upstream (Closes: #224443).
   * Print program name in tput error messages (Closes: #227586).
   * Update libncursesw5 to standard.
Files: 
 09c0043d8c4aa8b016f3ae11ccb5233f 834 libs standard ncurses_5.3.20030719-5.dsc
 7eaf81eb83dae15ca613324ed9310862 32561 libs standard ncurses_5.3.20030719-5.diff.gz
 6232d15005fabac5fdac8b13d1bc75be 269172 base required libncurses5_5.3.20030719-5_i386.deb
 7d4409cbe2ed0c3288c6d92e84ea2d04 1030564 libdevel optional libncurses5-dev_5.3.20030719-5_i386.deb
 d078fddaaa233dc00e398929da7098db 3983024 libdevel extra libncurses5-dbg_5.3.20030719-5_i386.deb
 2fdf30f9bf0a6ac6242dff6a0e6985b5 280974 libs standard libncursesw5_5.3.20030719-5_i386.deb
 a1baaf878f616c3928145d3a69659150 390856 libdevel optional libncursesw5-dev_5.3.20030719-5_i386.deb
 1ff8ff2b48efcf770897f9fc7cef666f 4075770 libdevel extra libncursesw5-dbg_5.3.20030719-5_i386.deb
 cd950bfbb3e39b8179f30b17e4f0f8f5 204846 base required ncurses-bin_5.3.20030719-5_i386.deb
 2e646cb8559e8a90a224a9cf8ef8cddb 11068 base required ncurses-base_5.3.20030719-5_all.deb
 4750a1b8c8558feeb26d0cddc6adca6c 268052 admin standard ncurses-term_5.3.20030719-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQFACEeJbgOPXuCjg3cRAsoBAKCRcV6BsbfdGR6uZo6KBHzral91mACeLutV
1zRgTd4PVTx4/0FYuPODs/E=
=1+Tw
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:18:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.